curl --request GET \
--url https://prod.truv.com/v1/links/{link_id}/pll/report/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/links/{link_id}/pll/report/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/links/{link_id}/pll/report/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"status": "new",
"completed_at": "2021-04-06 11:30:00+00:00",
"access_token": "48427a36d43c4d5aa6324bc06c692456",
"tracking_info": "user123456",
"deposit_details": {
"account_number": "16002600",
"account_type": "checking",
"routing_number": "123456789",
"bank_name": "TD Bank",
"deposit_type": "amount",
"deposit_value": "50.00"
},
"provider": {
"id": "adp",
"name": "ADP",
"logo_url": "<string>"
},
"finished_at": "2021-04-06T11:30:00Z",
"is_suspicious": true,
"initial_accounts": [
{
"account_number": "16001234",
"routing_number": "55999876",
"account_type": "checking",
"account_name": "<string>",
"bank_name": "TD Bank",
"deposit_type": "amount",
"deposit_value": "50.00"
}
],
"pdf_report": "https://cdn.truv.com/report.pdf",
"employer": {
"id": "meta",
"name": "Meta",
"logo_url": "<string>"
}
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}{
"error": {
"code": "not_found",
"message": "Requested object not found."
}
}Retrieve a paycheck linked loan report
The endpoint returns the PLL report.
Authorizations
Client ID
Client Access Key
Path Parameters
Response
Data for the PLL report
Unique ID
32"24d7e80942ce4ad58a93f70ce4115f5c"
"new"
Time when report was completed (Deprecated, invalid datetime format)
"2021-04-06 11:30:00+00:00"
Access token for a Link to payroll provider
32"48427a36d43c4d5aa6324bc06c692456"
Any information passed to the Truv Bridge from a partner
255"user123456"
Bank account info. Used for Direct deposit switching and Paycheck linked lending
Show child attributes
Show child attributes
Payroll provider
Show child attributes
Show child attributes
Time when report was finished
"2021-04-06T11:30:00Z"
Flag to indicate if the data from the source is suspicious. E.g. fraud detected in uploaded documents or SSN of the user does not match with the data
List of initial accounts
Show child attributes
Show child attributes
URL that points to the PDF file containing the report
"https://cdn.truv.com/report.pdf"
Employer
Show child attributes
Show child attributes
Was this page helpful?